Wednesday, June 22, 2011

If you’re running Iceweasel 4.0.1 from mozilla.debian.net, change your sources to Iceweasel 5.0

I don’t exactly keep tabs on what’s happening at Mozilla with Firefox/Iceweasel, but I came across this ZDNet article: Attention Firefox 4.x users - Firefox 5.0 is your security update by Adrian Kingsley-Hughes.

The short version is that Mozilla is continuing development for Firefox not in the 4.0.x series but in 5.x. So there will presumably be no security updates past 4.0.1, which is what I’m running now from the Debian Mozilla Team’s repository.

(For those new to Debian, the Firefox web browser has been renamed Iceweasel — get it??? — in order to avoid the copyrighted Firefox name and branding; the same is true for Thunderbird/Icedove, Seamonkey/Iceape, and Sunbird/Iceowl.)

So I went into my sources.list and changed the relevant line

from

deb http://mozilla.debian.net/ squeeze-backports iceweasel-4.0

to

deb http://mozilla.debian.net/ squeeze-backports iceweasel-5.0

Then run the following to update (assuming you’ve already installed a version of Iceweasel from the Debian Mozilla Team repository; if not, begin here) — again, I’m using sudo, which I recommend over su to root:

$ sudo aptitude update
$ sudo aptitude upgrade

(In my case, I’m not shoving all my external repositories in /etc/apt/sources.list. This particular line lives in the file /etc/apt/sources.list.d/mozilla.list.

Minutes later: I’m now running Iceweasel 5.0, as you can see in the screen-grab from my Debian Squeeze system. I don’t think I ran Iceweasel 4.0.x enough to grasp all the changes from 3.6.x, so now that I’m in 5.x it’s just about as “new” and vaguely “improved.” I can tell you that two add-ons I use (Firebug and Web Developer) seem to work fine with 5.0.